Bug 255951 - New port: databases/pg.el PostgreSQL Elisp interface
Summary: New port: databases/pg.el PostgreSQL Elisp interface
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL:
Keywords:
Depends on:
Blocks: 255958
  Show dependency treegraph
 
Reported: 2021-05-17 17:58 UTC by Yasuhiro Kimura
Modified: 2021-06-01 07:33 UTC (History)
1 user (show)

See Also:


Attachments
Patch file (3.03 KB, patch)
2021-05-17 17:58 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (3.20 KB, patch)
2021-05-18 00:23 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2021-05-17 17:58:15 UTC
Created attachment 225034 [details]
Patch file

This is an Emacs Lisp interface for PostgreSQL

This module lets you access the PostgreSQL object-relational DBMS from Emacs, using its socket-level frontend/backend protocol. The module is capable of automatic type coercions from a range of SQL types to the equivalent Emacs Lisp type. This is a low level API, and won't be useful to end users.
Comment 1 Yasuhiro Kimura 2021-05-18 00:23:29 UTC
Created attachment 225048 [details]
Updated patch file

Add DOCS option.
Comment 2 commit-hook freebsd_committer 2021-06-01 07:33:07 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8c5327da384adacda9e6b76344237cdcb0023528

commit 8c5327da384adacda9e6b76344237cdcb0023528
Author:     Yasuhiro Kimura <yasu@utahime.org>
AuthorDate: 2021-06-01 07:31:31 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-06-01 07:31:31 +0000

    databases/pg.el: New port: PostgreSQL Elisp interface

    PR:             255951
    Approved by:    lwhsu (mentor)

 databases/Makefile              |  1 +
 databases/pg.el/Makefile (new)  | 39 +++++++++++++++++++++++++++++++++++++++
 databases/pg.el/distinfo (new)  |  3 +++
 databases/pg.el/pkg-descr (new) |  9 +++++++++
 4 files changed, 52 insertions(+)
Comment 3 Guangyuan Yang freebsd_committer 2021-06-01 07:33:44 UTC
Committed, thanks!